Front-end Group - Support #23806

TLG Front end clock drift problems
12/26/2019 12:51 PM - Dennis Nicklaus

Status: Feedback Start date: 12/26/2019
Priority: High Due date:

Assignee: Linden Carmichael % Done: 0%
Category: Front-end Issue Estimated time: 0.00 hour
Target version:

Description
Have received reports of the clock drifting on the TLG frontend.

Denise told me that Rich did "something" on Dec. 24, but today the problem is persisting.
| note that TLG has
e |d (1, 1, "vxworks_boot/v6.4/module/mv5500/sntpctod-latest.out");
and runs once at startup
¢ todUpdateTime ("fecode-bd")
I ran (12:26, 12:30pm) this command, a standard way of requesting periodic clock resets
¢ period 300, todUpdateTime,0

If you need to cancel that because it conflicts with Rich's method or whatever, it is just the task named "t1".

Also, | saw that TLG's startup script is "commented out" from auto-running, in that it is named as .login_tlgx in the boot params, but
the real file is named .login_tlg. Is this intentional?

Related issues:
Related to TCLK Infrastructure - Bug #23813: System time occasionally jumps a... Assigned 12/30/2019

History

#1 - 12/30/2019 11:05 AM - Richard Neswold

- Status changed from New to Feedback

I ran (12:26, 12:30pm) this command, a standard way of requesting periodic clock resets

period 300, todUpdateTime, 0

We were going to do this very thing. TLGTST is running this periodic task and, when Linden gave the go-ahead, | was going to enable it on TLG.

Now Linden can see if the operational node is affected by periodic time updates. It should be noted that both Linden and | didn't think the system
should be sensitive to these updates, but we were being conservative.

It should also be noted that this is a band-aid to the real problem which resides in the IP-UCD driver. This "fix" runs every 5 minutes so the time could
be off for up to 5 minutes before getting corrected.

Also, | saw that TLG's startup script is "commented out" from auto-running, in that it is named as .login_tlgx in the boot params, but the real file is
named .login_tlg. Is this intentional?

Yes. Charlie did this for some reason. Linden, could you append the reason so it's documented?

#2 - 12/30/2019 12:52 PM - Richard Neswold
- Related to Bug #23813: System time occasionally jumps ahead by a second when using IP-UCD added

#3 - 01/14/2020 01:40 PM - Richard Neswold

- Assignee changed from Dennis Nicklaus to Linden Carmichael
Waiting for feedback from Linden before closing.
